////////////////////////////////////////////////////////////////////////////////
//
// Handy LK --------------------------------------------------------------------
//
// File: cereslk.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _CERESLK_H_
#define _CERESLK_H_

typedef struct
{
  const char *latex_code;
  const char *xml_name;
} RuleName;

extern const RuleName rule_names[];

#define RULE_ANDR          0
#define RULE_ANDL1         1
#define RULE_ANDL2         2
#define RULE_ORL           3
#define RULE_ORR1          4
#define RULE_ORR2          5
#define RULE_IMPLL         6
#define RULE_IMPLR         7
#define RULE_NEGR          8
#define RULE_NEGL          9
#define RULE_FORALLR      10
#define RULE_FORALLL      11
#define RULE_EXISTSR      12
#define RULE_EXISTSL      13
#define RULE_EQL1         14
#define RULE_EQR1         15
#define RULE_EQL2         16
#define RULE_EQR2         17
#define RULE_WEAKR        18
#define RULE_WEAKL        19
#define RULE_CONTRR       20
#define RULE_CONTRL       21
#define RULE_PERMR        22
#define RULE_PERML        23
#define RULE_CUT          24
#define RULE_UNDEFL       25
#define RULE_UNDEFR       26
#define RULE_FORALLR2     27
#define RULE_FORALLL2     28
#define RULE_EXISTSR2     29
#define RULE_EXISTSL2     30

#endif
