////////////////////////////////////////////////////////////////////////////////
//
// Handy LK --------------------------------------------------------------------
//
// File: transhlk.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _TRANSHLK_H_
#define _TRANSHLK_H_

#include <ostream>

namespace ProofLib
{
  class ProofDatabase;
}

namespace HLK
{

class AxiomTable;

class Transformer
{
protected:
  Transformer() {}
  Transformer( const Transformer& ) {}

public:
  virtual ~Transformer() {}

  static std::ostream *axiom_writer;

  static Transformer *NewTransformer( AxiomTable* axiomtbl = NULL );

  virtual void CompleteProof( ProofLib::Proof* p,
                              ProofLib::ProofDatabase* pdb ) = 0;
};

}

#endif
