#!/bin/bash

HLK=src/hlk
DIR=tests
TEST=./test.sh

time for i in $(ls $DIR/*.hlk)
do
  echo $i
  $TEST $i

  RESULT=$?

  if test $RESULT -eq 1
  then
    echo "STOP BY ERROR in $i"
    exit 1
  else
    echo "--GOOD--"
  fi
done

exit 0

