////////////////////////////////////////////////////////////////////////////////
//
// Handy LK --------------------------------------------------------------------
//
// File: cereslk.cpp
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#include <stdlib.h>

#include "cereslk.h"

const RuleName rule_names[] =
{
  { "\\land:r", "andr" },
  { "\\land:l1", "andl1" },
  { "\\land:l2", "andl2" },
  { "\\lor:l", "orl" },
  { "\\lor:r1", "orr1" },
  { "\\lor:r2", "orr2" },
  { "\\to:l", "impll" },
  { "\\to:r", "implr" },
  { "\\lnot:r", "negr" },
  { "\\lnot:l", "negl" },
  { "\\forall:r", "forallr" },
  { "\\forall:l", "foralll" },
  { "\\exists:r", "existsr" },
  { "\\exists:l", "existsl" },
  { "=:l1", "eql1" },
  { "=:r1", "eqr1" },
  { "=:l2", "eql2" },
  { "=:r2", "eqr2" },
  { "w:r", "weakr" },
  { "w:l", "weakl" },
  { "c:r", "contrr" },
  { "c:l", "contrl" },
  { "\\pi:r", "permr" },
  { "\\pi:l", "perml" },
  { "cut", "cut" },
#if 0
  { "r:l", "repll" },
  { "r:r", "replr" },
#else
  { "d:l", "defl" },
  { "d:r", "defr" },
  { "\\forall:r", "forallr2" },
  { "\\forall:l", "foralll2" },
  { "\\exists:r", "existsr2" },
  { "\\exists:l", "existsl2" },
#endif
  { NULL, NULL }
};
