////////////////////////////////////////////////////////////////////////////////
//
// Handy LK --------------------------------------------------------------------
//
// File: readhlk.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _READHLK_H_
#define _READHLK_H_

#include <istream>

namespace HLK
{

////////////////////////////////////////////////////////////////////////////////

class Document;

class Reader
{
protected:
  Reader() {}

public:
  virtual ~Reader() {}

  virtual void Read( Document* doc ) = 0;

  virtual void Open( std::istream &in ) = 0;
  virtual void Open( const char *sourcename ) = 0;
  virtual void Close() = 0;

  static Reader* New();
};

////////////////////////////////////////////////////////////////////////////////

}

#endif
