////////////////////////////////////////////////////////////////////////////////
//
// Handy LK --------------------------------------------------------------------
//
// File: reswordshlk.h
// Copyright 2005-2006 by Hendrik Spohr, Vienna, AUSTRIA
//
////////////////////////////////////////////////////////////////////////////////
#ifndef _RESERVED_WORDS_H_
#define _RESERVED_WORDS_H_

#define NO_RESWORD            -1
#define RESWORD_AS             0
#define RESWORD_ATOM           1
#define RESWORD_AXIOM          2
#define RESWORD_BY             3
#define RESWORD_CONSTANT       4
#define RESWORD_CONTINUED      5
#define RESWORD_DEFINE         6
#define RESWORD_EXPLICIT       7
#define RESWORD_FUNCTION       8
#define RESWORD_HAND           9
#define RESWORD_INFIX          10
#define RESWORD_IS             11
#define RESWORD_LEFT           12
#define RESWORD_NAMED          13
#define RESWORD_OF             14
#define RESWORD_ORDER          15
#define RESWORD_PREDICATE      16
#define RESWORD_PREFIX         17
#define RESWORD_PROOF          18
#define RESWORD_PROVED         19
#define RESWORD_PROVES         20
#define RESWORD_REFERENCE      21
#define RESWORD_RIGHT          22
#define RESWORD_RULE           23
#define RESWORD_TO             24
#define RESWORD_TYPE           25
#define RESWORD_VARIABLE       26
#define RESWORD_WEIGHT         27
#define RESWORD_WITH           28
#define RESWORD_NOT            29
#define RESWORD_AND            30
#define RESWORD_OR             31
#define RESWORD_IMPL           32
#define RESWORD_SEQ            33
#define RESWORD_ALL            34
#define RESWORD_EX             35
#define RESWORD_ANY            36
#define RESWORD_THROUGH        37
#define RESWORD_DEFINED        38
#define RESWORD_AUTO           39
#define RESWORD_PROPOSITIONAL  40
#define RESWORD_UNDEF          41
#define RESWORD_DEF            42
#define RESWORD_CUT            43
#define RESWORD_PARAMOD        44
#define RESWORD_INSTANCE       45
#define RESWORD_META           46
#define RESWORD_TERM           47
#define RESWORD_FORMULA        48
#define RESWORD_EQUALITY       49
#define RESWORD_FOR            50
#define RESWORD_RECURSIVE      51
#define RESWORD_AT             52
#define RESWORD_LEVEL          53
#define RESWORD_STARTS         54
#define RESWORD_FRESH          55
#define RESWORD_ALL2           56
#define RESWORD_EX2            57
#define RESWORD_LAMBDA         58

extern const wchar_t *reserved_words[];

#endif
